PGcircle
Keywords: org.postgresql.geometric.PGcircle class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.geometric
Class PGcircle

    java.lang.Object
      org.postgresql.util.PGobject
          org.postgresql.geometric.PGcircle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PGcircle

extends PGobject
implements java.io.Serializable, java.lang.Cloneable

This represents org.postgresql's circle datatype, consisting of a point and a radius

See Also:
  Serialized Form

Field Summary
`PGpoint` | `center` This is the center point
`double` | `radius` This is the radius

Fields inherited from class org.postgresql.util.PGobject
`type, value`

Constructor Summary
`PGcircle()` This constructor is used by the driver.
`PGcircle(double x, double y, double r)`
`PGcircle(PGpoint c, double r)`
`PGcircle(java.lang.String s)`

Method Summary
`java.lang.Object` | `clone()` This must be overidden to allow the object to be cloned
`boolean` | `equals(java.lang.Object obj)` This must be overidden to allow comparisons of objects
`java.lang.String` | `getValue()` This must be overidden, to return the value of the object, in the form required by org.postgresql.
`int` | `hashCode()`
`void` | `setValue(java.lang.String s)` This method sets the value of this object.

Methods inherited from class org.postgresql.util.PGobject
`getType, setType, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### center

    public PGpoint center

  This is the center point

### radius

    public double radius

  This is the radius

Constructor Detail

### PGcircle

    public PGcircle(double x,
                    double y,
                    double r)

Parameters:
  `x` - coordinate of center
  `y` - coordinate of center
  `r` - radius of circle

### PGcircle

    public PGcircle(PGpoint c,
                    double r)

Parameters:
  `c` - PGpoint describing the circle's center
  `r` - radius of circle

### PGcircle

    public PGcircle(java.lang.String s)
             throws java.sql.SQLException

Parameters:
  `s` - definition of the circle in PostgreSQL's syntax.
Throws:
  `java.sql.SQLException` - on conversion failure

### PGcircle

    public PGcircle()

  This constructor is used by the driver.

Method Detail

### setValue

    public void setValue(java.lang.String s)
                  throws java.sql.SQLException

  Description copied from class: `PGobject`
  This method sets the value of this object. It must be overidden.

  Overrides:
    `setValue` in class `PGobject`
  Parameters:
    `s` - definition of the circle in PostgreSQL's syntax.
  Throws:
    `java.sql.SQLException` - on conversion failure

### equals

    public boolean equals(java.lang.Object obj)

  Description copied from class: `PGobject`
  This must be overidden to allow comparisons of objects

  Overrides:
    `equals` in class `PGobject`
  Parameters:
    `obj` - Object to compare with
  Returns:
    true if the two circles are identical

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Description copied from class: `PGobject`
  This must be overidden to allow the object to be cloned

  Overrides:
    `clone` in class `PGobject`

### getValue

    public java.lang.String getValue()

  Description copied from class: `PGobject`
  This must be overidden, to return the value of the object, in the form required by org.postgresql.

  Overrides:
    `getValue` in class `PGobject`
  Returns:
    the PGcircle in the syntax expected by org.postgresql

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD